Test::Int::MiniModelSet::SetInstr Class Reference

Type for representing a set instruction. More...

## Public Attributes

SetOpcode | o
| Which instruction to execute.
unsigned char | x
unsigned char | y
unsigned char | z
| Instruction arguments, z is destination (or y for complement).

## Detailed Description

Type for representing a set instruction.

Definition at line 54 of file mm-set.cpp.

## Member Data Documentation

## o

SetOpcode Test::Int::MiniModelSet::SetInstr::o

Which instruction to execute.

Definition at line 56 of file mm-set.cpp.

## x

unsigned char Test::Int::MiniModelSet::SetInstr::x

Definition at line 57 of file mm-set.cpp.

## y

unsigned char Test::Int::MiniModelSet::SetInstr::y

Definition at line 57 of file mm-set.cpp.

## z

unsigned char Test::Int::MiniModelSet::SetInstr::z

Instruction arguments, z is destination (or y for complement).

Definition at line 57 of file mm-set.cpp.

The documentation for this class was generated from the following file:

- test/set/mm-set.cpp